import { defineComponent as n, toRef as t, openBlock as c, createBlock as s, unref as e, mergeProps as u, withCtx as f, renderSlot as m } from "vue";
import { Space as d } from "@aplus-frontend/antdv";
import { omit as v } from "lodash-unified";
import "../config-provider/index.mjs";
import { useProvideApTextGroup as y } from "./context.mjs";
import x from "./style/group.mjs";
import { useNamespace as S } from "../config-provider/hooks/use-namespace.mjs";
const w = /* @__PURE__ */ n({
  name: "ApTextGroup",
  __name: "group",
  props: {
    colon: { type: Boolean, default: void 0 },
    vertical: { type: Boolean, default: void 0 },
    labelStyle: { default: void 0 },
    prefixCls: {},
    size: { default: () => [8, 0] },
    direction: { default: "vertical" },
    align: { default: "baseline" },
    wrap: { type: Boolean, default: !1 }
  },
  setup(l) {
    const o = l, { b: a, m: r } = S("ap-text-group"), i = x("ap-text-group");
    return y({
      colon: t(o.colon),
      vertical: t(o.vertical),
      labelStyle: t(o.labelStyle)
    }), (p, b) => (c(), s(e(d), u({
      class: [e(a)(), l.direction === "horizontal" ? e(r)("horizontal") : null, e(i)]
    }, e(v)(o, ["colon", "vertical", "labelStyle"])), {
      default: f(() => [
        m(p.$slots, "default")
      ]),
      _: 3
    }, 16, ["class"]));
  }
});
export {
  w as default
};
